package main

import (
	"os"

	"github.com/gookit/color"
)

var lastBlock string

// print error
func printErrorAndExit(code int, message string) {
	printError(message)
	if code == 0 {
		code = exitCodeCatchAll
	}
	os.Exit(code)
}

func printError(message string) {

	if lastBlock == "error" {
		color.Error.Println(" " + message)
		return
	}
	lastBlock = "error"

	color.Error.Block(message)
}
